package com.campus.activity.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.campus.activity.dto.request.ScanCheckInRequest;
import com.campus.activity.dto.request.TicketCheckInRequest;
import com.campus.activity.entity.CheckIn;
import com.campus.activity.vo.CheckInVO;
import com.campus.activity.vo.QrCodeVO;

public interface CheckInService {

    QrCodeVO generateQrCode(Long activityId);

    CheckInVO scanCheckIn(ScanCheckInRequest request);

    CheckInVO ticketCheckIn(TicketCheckInRequest request);

    IPage<CheckInVO> getActivityCheckIns(Page<CheckIn> page, Long activityId);
}